Subject: Re: [PATCH net-next-2.6 v2 1/2] can: add driver for Softing card

From: Wolfgang Grandegger <[email-masked]>
Date: Mon, 10 Jan 2011 15:05:57 +0100

On 01/10/2011 02:31 PM, Kurt Van Dijck wrote:
> Wolfgang,
> 
> A few thoughts ...
> 
> On Wed, Jan 05, 2011 at 09:57:16PM +0100, Wolfgang Grandegger wrote:
>>>  
>>>  obj-y				+= usb/
>>> +obj-y				+= softing/
>>
>> Please use "obj-$(CONFIG_CAN_SOFTING)" here.
> As I explained, softing does not depend on softing_cs or vice versa,
> which makes "obj-$(CONFIG_CAN_SOFTING)" not right.

OK, another good reason to make softing_cs depend on CONFIG_CAN_SOFTING.
Does it make sense to compile softing_cs without CONFIG_CAN_SOFTING for
the *real* user?

...

>>> +	priv->can.ctrlmode_supported =
>>> +		CAN_CTRLMODE_3_SAMPLES;/* | CAN_CTRLMODE_BERR_REPORTING */;
>>
>> Hm, any chance to support CAN_CTRLMODE_BERR_REPORTING? If not, please
>> remove the comment.
> 
> I think I better try to write it properly without, and add error reporting
> later, after serious testing of the error reporting on a softing card.

OK, then just cleanup properly.

> The primary goal now is get this driver in mainline kernel since PCMCIA
> has been changing recently, and I found it hard to keep up. So, first things
> first ...

Fine for me. You can then add my:

Acked-by: Wolfgang Grandegger <[email-masked]>

Thanks.

Wolfgang.